# This spec is in the SVN
# $Id: perl-RPM4.spec 141783 2007-03-12 14:05:45Z nanardon $

%define module	RPM4
%define name	perl-%{module}
%define version	0.27
%define release %mkrel 2

%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl bindings to use rpmlib and manage hdlist files
License:	GPL
Group:		Development/Perl
Source:		%{module}-%{version}.tar.xz
Url:		http://search.cpan.org/dist/RPM4/

BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	rpm-devel
BuildRequires:	perl-Digest-SHA1
BuildRequires:	librpmconstant-devel
BuildRequires:	packdrake
BuildRequires:	perl-MDV-Packdrakeng
BuildRequires:	gnupg

# we can now expect librpm API to be at least backward compatible
Requires:	rpm >= %{rpm_version}

%description
This module provides a perl interface to the rpmlib.

It allows to write scripts to:
  - query rpm headers,
  - query rpm database,
  - build rpm specs,
  - install/uninstall specfiles,
  - check dependencies.

It includes:
- rpm_produced, give what rpm will be produced by a src.rpm or a specfile.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
PERL5DIR=`pwd`/src/blib/arch TMPDIR=/tmp %make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%doc examples
%_bindir/*
%{perl_vendorarch}/*
%{_mandir}/*/*




%changelog

* Sat Apr 21 2012 tv <tv> 0.27-2.mga2
+ Revision: 232221
- no need to require perl

* Wed Dec 21 2011 tv <tv> 0.27-1.mga2
+ Revision: 185256
- make Spec->build works with rpm-4.9
- make initdb do all the needed work
- make traverse usefull again with rpm-4.9

* Wed Dec 21 2011 tv <tv> 0.26-1.mga2
+ Revision: 185219
- fix for a random segfault
- report script errors
- rebuild for new rpm

* Sun Dec 18 2011 tv <tv> 0.25-8.mga2
+ Revision: 183472
- higher release for rpm-4.9.x

* Thu Dec 15 2011 tv <tv> 0.25-6.mga2
+ Revision: 182296
+ rebuild (emptylog)

* Thu Dec 15 2011 tv <tv> 0.25-5.mga2
+ Revision: 182205
- patch 0: disable 3 tests with rpm-4.8
- disable tests segfaulting in rpmSpecBuild()
- disable tests using unimplemented functions regarding rpm-4.9
- disable 2 tests that fails with rpm-4.9
  (all functions needed by iurt & youri* pass the testsuite)
- implement more functions with rpm-4.9
- bump release

* Wed Nov 09 2011 tv <tv> 0.24-0.1.mga2
+ Revision: 165905
- no ChangeLog
- new release (merging patches)

* Tue Oct 18 2011 tv <tv> 0.23-15.mga2
+ Revision: 156425
- patch 2: drop support for rpm-4.4.x (too much ifdef/else/endif spaghetti
  and already broken since rpm-4.6 & rpm-4.8 support patches)
- Patch 3: declare 4.8.0 & 4.8.1 in order to make 4.9.x checks work
- Patch 4: initial rpm-4.9.x support

* Sun Jun 12 2011 sander85 <sander85> 0.23-14.mga2
+ Revision: 104940
- Rebuild for perl 5.14

* Sun Feb 27 2011 dmorgan <dmorgan> 0.23-13.mga1
+ Revision: 61301
- Add patch to build against new rpm 4.8
- Use pre-RPM5 spec file

  + nanardon <nanardon>
    - disable some test, it seems internal of rpm has changed and Spec struct is not clean anymore between two build() call

* Wed Jan 19 2011 jquelin <jquelin> 0.23-12.mga1
+ Revision: 23779
- rebuild

* Mon Jan 17 2011 nanardon <nanardon> 0.23-11.mga1
+ Revision: 20800
- kill useless dependency to packdrake (then kill a loop)

  + jquelin <jquelin>
    - imported package perl-RPM4

